package cmm.service;

import java.util.Date;
import java.util.List;

import cmm.util.CmmVO;

/**  
 * @Class Name : CmmAmsAssetMediaVO.java
 * @author ecplaza 
 * @since 2018-05-11O
 * @version 1.0
 */

@SuppressWarnings("serial")
public class CmmAmsAssetMediaVO extends CmmVO {
	
	private String id = "";
	private String assetId = "";
	private String interfaceId = "";
	private String mgntNo = "";
	private String assetType = "";
	private String title = "";
	private String firstClass = "";
	private String secondClass = "";
	private String firstClassNm = "";
	private String secondClassNm = "";
	private String subtitle = "";
	private String mainImg = "";
	private String mainImg2 = "";
	private String summary = "";
	private String addition = "";
	private String orignlFileName = "";
	private String streFileName = "";
	private String fileSize = "";
	private String width = "";
	private String height = "";
	private String imgAlt = "";
	private String mediaType = "";
	private String playerAt = "";
	private String playTime = "";
	private String volume = "";
	private String totalPage = "";
	private String isbn = "";
	private String linkData = "";
	private String websiteName = "";
	private String linkUseAt = "";
	private String makingDate = "";
	private String filmingLocation = "";
	private String subtitleAt = "";
	private String subtitleOrgFileName = "";
	private String subtitleStreFileName = "";
	private String subtitleDesc = "";
	private String publisher = "";
	private String genyear = "";
	private String author = "";
	private String provider = "";
	private String sourceAt = "";
	private String source = "";
	private String copyright = "";
	private String retentionPeriod = "";
	private String copyrightMgntDepart = "";
	private String thirdCopyright = "";
	private String cclType = "";
	private String orgOpenAt = "";
	private Date createdAt = null;
	private Date updatedAt = null;
	private Date deletedAt = null;
	private String useAt = "";
	private String remarksDesc = "";
	private String recommendYn = "";
	private String sidoName = "";
	private String sigunguName = "";
	
	private String mediaId = "";
	private String assetClass = "";
	private String firstCategoryNm = "";
	private String secondCategoryNm = "";
	private String couName = "";
	private String keyName = "";
	private String tags = "";
	private String tagsName = "";
	private String trsAge = "";
	private String age = "";
	private String chronologicalStart = "";
	private String chronologicalEnd = "";
	private String firstCategory = "";
	private String secondCategory = "";
	private String theme = "";
	private String series = "";
	private String sojangCouncil = "";
	private String sojangCouncilNm = "";
	private String sojangCouncilNmTot = "";
	private String sojangLocation = "";
	private String linkNm = "";
	
	private String assetTypeNm = "";
	private String groupId = "";
	private String groupName = "";
	private String mcnt = "";
	private String ocrSplitNum = "";
	private List<CmmAmsAssetMediaOcrVO> ocrList = null;
	private String tableOfContents = "";
	private List<CmmAmsDocTableOfContentsVO> tableOfContentsList = null;
	private String contentId = "";
	private String linkUrl = "";
	private String orderIdx = "";
	
	List<CmmCmsVO> sidoList = null;
	List<String> contentIdList;
	private String [] codeIdList;
	private String [] assetTypeList;
	//private String [] userGroupList;
	//private String [] ageList;
	//private String [] assetClassList;
	private String [] councilList;
	private String [] categoryList;
	private String [] classList;
	private String [] assetClassArray;
	private String [] pickAssetTypeArray;
	private String reSearch;
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getAssetId() {
		return assetId;
	}
	public void setAssetId(String assetId) {
		this.assetId = assetId;
	}
	public String getInterfaceId() {
		return interfaceId;
	}
	public void setInterfaceId(String interfaceId) {
		this.interfaceId = interfaceId;
	}
	public String getAssetType() {
		return assetType;
	}
	public void setAssetType(String assetType) {
		this.assetType = assetType;
	}
	
	public String getMgntNo() {
		return mgntNo;
	}
	public void setMgntNo(String mgntNo) {
		this.mgntNo = mgntNo;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getFirstClass() {
		return firstClass;
	}
	public void setFirstClass(String firstClass) {
		this.firstClass = firstClass;
	}
	public String getSecondClass() {
		return secondClass;
	}
	public void setSecondClass(String secondClass) {
		this.secondClass = secondClass;
	}
	public String getFirstClassNm() {
		return firstClassNm;
	}
	public void setFirstClassNm(String firstClassNm) {
		this.firstClassNm = firstClassNm;
	}
	public String getSecondClassNm() {
		return secondClassNm;
	}
	public void setSecondClassNm(String secondClassNm) {
		this.secondClassNm = secondClassNm;
	}
	public String getSubtitle() {
		return subtitle;
	}
	public void setSubtitle(String subtitle) {
		this.subtitle = subtitle;
	}
	public String getMainImg() {
		return mainImg;
	}
	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}
	public String getMainImg2() {
		return mainImg2;
	}
	public void setMainImg2(String mainImg2) {
		this.mainImg2 = mainImg2;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public String getAddition() {
		return addition;
	}
	public void setAddition(String addition) {
		this.addition = addition;
	}
	public String getOrignlFileName() {
		return orignlFileName;
	}
	public void setOrignlFileName(String orignlFileName) {
		this.orignlFileName = orignlFileName;
	}
	public String getStreFileName() {
		return streFileName;
	}
	public void setStreFileName(String streFileName) {
		this.streFileName = streFileName;
	}
	public String getFileSize() {
		return fileSize;
	}
	public void setFileSize(String fileSize) {
		this.fileSize = fileSize;
	}
	public String getWidth() {
		return width;
	}
	public void setWidth(String width) {
		this.width = width;
	}
	public String getHeight() {
		return height;
	}
	public void setHeight(String height) {
		this.height = height;
	}
	public String getImgAlt() {
		return imgAlt;
	}
	public void setImgAlt(String imgAlt) {
		this.imgAlt = imgAlt;
	}
	public String getMediaType() {
		return mediaType;
	}
	public void setMediaType(String mediaType) {
		this.mediaType = mediaType;
	}
	public String getPlayerAt() {
		return playerAt;
	}
	public void setPlayerAt(String playerAt) {
		this.playerAt = playerAt;
	}
	public String getPlayTime() {
		return playTime;
	}
	public void setPlayTime(String playTime) {
		this.playTime = playTime;
	}
	public String getVolume() {
		return volume;
	}
	public void setVolume(String volume) {
		this.volume = volume;
	}
	public String getTotalPage() {
		return totalPage;
	}
	public void setTotalPage(String totalPage) {
		this.totalPage = totalPage;
	}
	public String getIsbn() {
		return isbn;
	}
	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}
	public String getLinkData() {
		return linkData;
	}
	public void setLinkData(String linkData) {
		this.linkData = linkData;
	}
	public String getWebsiteName() {
		return websiteName;
	}
	public void setWebsiteName(String websiteName) {
		this.websiteName = websiteName;
	}
	public String getLinkUseAt() {
		return linkUseAt;
	}
	public void setLinkUseAt(String linkUseAt) {
		this.linkUseAt = linkUseAt;
	}
	public String getMakingDate() {
		return makingDate;
	}
	public void setMakingDate(String makingDate) {
		this.makingDate = makingDate;
	}
	public String getFilmingLocation() {
		return filmingLocation;
	}
	public void setFilmingLocation(String filmingLocation) {
		this.filmingLocation = filmingLocation;
	}
	public String getSubtitleAt() {
		return subtitleAt;
	}
	public void setSubtitleAt(String subtitleAt) {
		this.subtitleAt = subtitleAt;
	}
	public String getSubtitleOrgFileName() {
		return subtitleOrgFileName;
	}
	public void setSubtitleOrgFileName(String subtitleOrgFileName) {
		this.subtitleOrgFileName = subtitleOrgFileName;
	}
	public String getSubtitleStreFileName() {
		return subtitleStreFileName;
	}
	public void setSubtitleStreFileName(String subtitleStreFileName) {
		this.subtitleStreFileName = subtitleStreFileName;
	}
	public String getSubtitleDesc() {
		return subtitleDesc;
	}
	public void setSubtitleDesc(String subtitleDesc) {
		this.subtitleDesc = subtitleDesc;
	}
	public String getPublisher() {
		return publisher;
	}
	public void setPublisher(String publisher) {
		this.publisher = publisher;
	}
	public String getGenyear() {
		return genyear;
	}
	public void setGenyear(String genyear) {
		this.genyear = genyear;
	}
	public String getAuthor() {
		return author;
	}
	public void setAuthor(String author) {
		this.author = author;
	}
	public String getProvider() {
		return provider;
	}
	public void setProvider(String provider) {
		this.provider = provider;
	}
	public String getSourceAt() {
		return sourceAt;
	}
	public void setSourceAt(String sourceAt) {
		this.sourceAt = sourceAt;
	}
	public String getSource() {
		return source;
	}
	public void setSource(String source) {
		this.source = source;
	}
	public String getCopyright() {
		return copyright;
	}
	public void setCopyright(String copyright) {
		this.copyright = copyright;
	}
	public String getRetentionPeriod() {
		return retentionPeriod;
	}
	public void setRetentionPeriod(String retentionPeriod) {
		this.retentionPeriod = retentionPeriod;
	}
	public String getCopyrightMgntDepart() {
		return copyrightMgntDepart;
	}
	public void setCopyrightMgntDepart(String copyrightMgntDepart) {
		this.copyrightMgntDepart = copyrightMgntDepart;
	}
	public String getThirdCopyright() {
		return thirdCopyright;
	}
	public void setThirdCopyright(String thirdCopyright) {
		this.thirdCopyright = thirdCopyright;
	}
	public String getCclType() {
		return cclType;
	}
	public void setCclType(String cclType) {
		this.cclType = cclType;
	}
	public String getOrgOpenAt() {
		return orgOpenAt;
	}
	public void setOrgOpenAt(String orgOpenAt) {
		this.orgOpenAt = orgOpenAt;
	}
	public Date getCreatedAt() {
		return createdAt;
	}
	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}
	public Date getUpdatedAt() {
		return updatedAt;
	}
	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}
	public Date getDeletedAt() {
		return deletedAt;
	}
	public void setDeletedAt(Date deletedAt) {
		this.deletedAt = deletedAt;
	}
	public String getUseAt() {
		return useAt;
	}
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}
	public String getRemarksDesc() {
		return remarksDesc;
	}
	public void setRemarksDesc(String remarksDesc) {
		this.remarksDesc = remarksDesc;
	}
	public String getRecommendYn() {
		return recommendYn;
	}
	public void setRecommendYn(String recommendYn) {
		this.recommendYn = recommendYn;
	}	
	public String getSidoName() {
		return sidoName;
	}
	public void setSidoName(String sidoName) {
		this.sidoName = sidoName;
	}	
	public String getSigunguName() {
		return sigunguName;
	}
	public void setSigunguName(String sigunguName) {
		this.sigunguName = sigunguName;
	}
	public String getMediaId() {
		return mediaId;
	}
	public void setMediaId(String mediaId) {
		this.mediaId = mediaId;
	}	
	public String getAssetClass() {
		return assetClass;
	}
	public void setAssetClass(String assetClass) {
		this.assetClass = assetClass;
	}
	public String getFirstCategoryNm() {
		return firstCategoryNm;
	}
	public void setFirstCategoryNm(String firstCategoryNm) {
		this.firstCategoryNm = firstCategoryNm;
	}
	public String getSecondCategoryNm() {
		return secondCategoryNm;
	}
	public void setSecondCategoryNm(String secondCategoryNm) {
		this.secondCategoryNm = secondCategoryNm;
	}
	public List<CmmCmsVO> getSidoList() {
		return sidoList;
	}
	public void setSidoList(List<CmmCmsVO> sidoList) {
		this.sidoList = sidoList;
	}
	public List<String> getContentIdList() {
		return contentIdList;
	}
	public void setContentIdList(List<String> contentIdList) {
		this.contentIdList = contentIdList;
	}
	public String[] getCodeIdList() {
		String[] ret = null;
		if (this.codeIdList != null) {
			ret = new String[codeIdList.length];
			for (int i = 0; i < codeIdList.length; i++) {
				ret[i] = this.codeIdList[i];
			}
		}
		return ret;
	}
	
	public void setCodeIdList(String[] codeIdList) {
	// 수정
		this.codeIdList = new String[codeIdList.length];
		for(int i = 0; i < codeIdList.length; ++i)
		this.codeIdList[i] = codeIdList[i];
	}
	
	public String[] getAssetTypeList() {
		String[] ret = null;
		if (this.assetTypeList != null) {
			ret = new String[assetTypeList.length];
			for (int i = 0; i < assetTypeList.length; i++) {
				ret[i] = this.assetTypeList[i];
			}
		}
		return ret;
	}
	public void setAssetTypeList(String[] assetTypeList) {
		// 수정
		this.assetTypeList = new String[assetTypeList.length];
		for(int i = 0; i < assetTypeList.length; ++i)
		this.assetTypeList[i] = assetTypeList[i];
	}
//	public String[] getUserGroupList() {
//		return userGroupList;
//	}
//	public void setUserGroupList(String[] userGroupList) {
//		this.userGroupList = userGroupList;
//	}
//	public String[] getAgeList() {
//		return ageList;
//	}
//	public void setAgeList(String[] ageList) {
//		this.ageList = ageList;
//	}
//	public String[] getAssetClassList() {
//		return assetClassList;
//	}
//	public void setAssetClassList(String[] assetClassList) {
//		this.assetClassList = assetClassList;
//	}
	public String[] getCouncilList() {
		String[] ret = null;
		if (this.councilList != null) {
			ret = new String[councilList.length];
			for (int i = 0; i < councilList.length; i++) {
				ret[i] = this.councilList[i];
			}
		}
		return ret;
	}
	public void setCouncilList(String[] councilList) {
		// 수정
		this.councilList = new String[councilList.length];
		for(int i = 0; i < councilList.length; ++i)
		this.councilList[i] = councilList[i];
	}
	
	public String[] getCategoryList() {
		String[] ret = null;
		if (this.categoryList != null) {
			ret = new String[categoryList.length];
			for (int i = 0; i < categoryList.length; i++) {
				ret[i] = this.categoryList[i];
			}
		}
		return ret;
	}
	public void setCategoryList(String[] categoryList) {
		// 수정
		this.categoryList = new String[categoryList.length];
		for(int i = 0; i < categoryList.length; ++i)
		this.categoryList[i] = categoryList[i];
	}
	
	public String[] getClassList() {
		String[] ret = null;
		if (this.classList != null) {
			ret = new String[classList.length];
			for (int i = 0; i < classList.length; i++) {
				ret[i] = this.classList[i];
			}
		}
		return ret;
	}
	public void setClassList(String[] classList) {
		this.classList = new String[classList.length];
		for(int i = 0; i < classList.length; ++i)
		this.classList[i] = classList[i];
	}
	
	public String[] getAssetClassArray() {
		String[] ret = null;
		if (this.assetClassArray != null) {
			ret = new String[assetClassArray.length];
			for (int i = 0; i < assetClassArray.length; i++) {
				ret[i] = this.assetClassArray[i];
			}
		}
		return ret;
	}
	public void setAssetClassArray(String[] assetClassArray) {
		// 수정
		this.assetClassArray = new String[assetClassArray.length];
		for(int i = 0; i < assetClassArray.length; ++i)
		this.assetClassArray[i] = assetClassArray[i];
	}
	
	
	public String[] getPickAssetTypeArray() {
		String[] ret = null;
		if (this.pickAssetTypeArray != null) {
			ret = new String[pickAssetTypeArray.length];
			for (int i = 0; i < pickAssetTypeArray.length; i++) {
				ret[i] = this.pickAssetTypeArray[i];
			}
		}
		return ret;
	}
	public void setPickAssetTypeArray(String[] pickAssetTypeArray) {
		this.pickAssetTypeArray = new String[pickAssetTypeArray.length];
		for(int i = 0; i < pickAssetTypeArray.length; ++i)
		this.pickAssetTypeArray[i] = pickAssetTypeArray[i];
	}
	
	public String getCouName() {
		return couName;
	}
	public void setCouName(String couName) {
		this.couName = couName;
	}
	public String getKeyName() {
		return keyName;
	}
	public void setKeyName(String keyName) {
		this.keyName = keyName;
	}
	public String getTags() {
		return tags;
	}
	public void setTags(String tags) {
		this.tags = tags;
	}	
	public String getTagsName() {
		return tagsName;
	}
	public void setTagsName(String tagsName) {
		this.tagsName = tagsName;
	}
	public String getTrsAge() {
		return trsAge;
	}
	public void setTrsAge(String trsAge) {
		this.trsAge = trsAge;
	}
	public String getAge() {
		return age;
	}
	public void setAge(String age) {
		this.age = age;
	}
	public String getChronologicalStart() {
		return chronologicalStart;
	}
	public void setChronologicalStart(String chronologicalStart) {
		this.chronologicalStart = chronologicalStart;
	}
	public String getChronologicalEnd() {
		return chronologicalEnd;
	}
	public void setChronologicalEnd(String chronologicalEnd) {
		this.chronologicalEnd = chronologicalEnd;
	}
	public String getFirstCategory() {
		return firstCategory;
	}
	public void setFirstCategory(String firstCategory) {
		this.firstCategory = firstCategory;
	}
	public String getSecondCategory() {
		return secondCategory;
	}
	public void setSecondCategory(String secondCategory) {
		this.secondCategory = secondCategory;
	}
	public String getTheme() {
		return theme;
	}
	public void setTheme(String theme) {
		this.theme = theme;
	}
	public String getSeries() {
		return series;
	}
	public void setSeries(String series) {
		this.series = series;
	}
	public String getSojangCouncil() {
		return sojangCouncil;
	}
	public void setSojangCouncil(String sojangCouncil) {
		this.sojangCouncil = sojangCouncil;
	}
	public String getSojangCouncilNm() {
		return sojangCouncilNm;
	}
	public void setSojangCouncilNm(String sojangCouncilNm) {
		this.sojangCouncilNm = sojangCouncilNm;
	}
	
	public String getSojangCouncilNmTot() {
		return sojangCouncilNmTot;
	}
	public void setSojangCouncilNmTot(String sojangCouncilNmTot) {
		this.sojangCouncilNmTot = sojangCouncilNmTot;
	}
	public String getSojangLocation() {
		return sojangLocation;
	}
	public void setSojangLocation(String sojangLocation) {
		this.sojangLocation = sojangLocation;
	}
	
	public String getGroupId() {
		return groupId;
	}
	public void setGroupId(String groupId) {
		this.groupId = groupId;
	}
	
	public String getGroupName() {
		return groupName;
	}
	public void setGroupName(String groupName) {
		this.groupName = groupName;
	}
	public String getMcnt() {
		return mcnt;
	}
	public void setMcnt(String mcnt) {
		this.mcnt = mcnt;
	}
	public String getOcrSplitNum() {
		return ocrSplitNum;
	}
	public void setOcrSplitNum(String ocrSplitNum) {
		this.ocrSplitNum = ocrSplitNum;
	}
	public List<CmmAmsAssetMediaOcrVO> getOcrList() {
		return ocrList;
	}
	public void setOcrList(List<CmmAmsAssetMediaOcrVO> ocrList) {
		this.ocrList = ocrList;
	}
	public String getTableOfContents() {
		return tableOfContents;
	}
	public void setTableOfContents(String tableOfContents) {
		this.tableOfContents = tableOfContents;
	}
	public List<CmmAmsDocTableOfContentsVO> getTableOfContentsList() {
		return tableOfContentsList;
	}
	public void setTableOfContentsList(
			List<CmmAmsDocTableOfContentsVO> tableOfContentsList) {
		this.tableOfContentsList = tableOfContentsList;
	}
	public String getContentId() {
		return contentId;
	}
	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	public String getLinkNm() {
		return linkNm;
	}
	public void setLinkNm(String linkNm) {
		this.linkNm = linkNm;
	}
	public String getAssetTypeNm() {
		return assetTypeNm;
	}
	public void setAssetTypeNm(String assetTypeNm) {
		this.assetTypeNm = assetTypeNm;
	}
	public String getLinkUrl() {
		return linkUrl;
	}
	public void setLinkUrl(String linkUrl) {
		this.linkUrl = linkUrl;
	}
	public String getOrderIdx() {
		return orderIdx;
	}
	public void setOrderIdx(String orderIdx) {
		this.orderIdx = orderIdx;
	}
	public String getReSearch() {
		return reSearch;
	}
	public void setReSearch(String reSearch) {
		this.reSearch = reSearch;
	}	
	
}
